import { jsx } from "react/jsx-runtime";
import { TokenDFYN as TokenDFYN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDFYN = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "DFYN", "data-name": "TokenDFYN", ...props, children: /* @__PURE__ */ jsx(TokenDFYN$1, { variant }) });
  }
);
TokenDFYN.displayName = "TokenDFYN";
Object.assign(TokenDFYN, { isGdsIcon: true });
export {
  TokenDFYN
};
